X11.XAnyEvent (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, class: XAnyEvent

Package com.sun.jna.platform.unix

# Class X11.XAnyEvent

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XAnyEvent

Enclosing interface:
  X11

@FieldOrder({"type","serial","send_event","display","window"}) public static class X11.XAnyEvent extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `X11.Display`
  `display`
  `int`
  `send_event`
  `NativeLong`
  `serial`
  `int`
  `type`
  `X11.Window`
  `window`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XAnyEvent()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public int type

  - ### serial

    public NativeLong serial

  - ### send_event

    public int send_event

  - ### display

    public X11.Display display

  - ### window

    public X11.Window window

- ## Constructor Details

  - ### XAnyEvent

    public XAnyEvent()